Package org.apache.el.util

## Class JreCompat

- java.lang.Object
- - org.apache.el.util.JreCompat

-     public class JreCompat
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JreCompat()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canAccess​(java.lang.Object base, java.lang.reflect.AccessibleObject accessibleObject)` | Is the accessibleObject accessible (as a result of appropriate module exports) on the provided instance?
    `static JreCompat` | `getInstance()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JreCompat

          public JreCompat()

  - ### Method Detail

    - #### getInstance

          public static JreCompat getInstance()

    - #### canAccess

          public boolean canAccess​(java.lang.Object base,
                                   java.lang.reflect.AccessibleObject accessibleObject)

      Is the accessibleObject accessible (as a result of appropriate module exports) on the provided instance?
      Parameters:
        `base` - The specific instance to be tested.
        `accessibleObject` - The method/field/constructor to be tested.
      Returns:
        {code true} if the AccessibleObject can be accessed otherwise {code false}